UnknownDictionary (Lucene 10.5.1 nori API)
Description: declaration: package: org.apache.lucene.analysis.ko.dict, class: UnknownDictionary

Package org.apache.lucene.analysis.ko.dict

# Class UnknownDictionary

java.lang.Object
org.apache.lucene.analysis.morph.BinaryDictionary<org.apache.lucene.analysis.ko.dict.UnknownMorphData>
org.apache.lucene.analysis.ko.dict.UnknownDictionary

All Implemented Interfaces:
  `Dictionary<org.apache.lucene.analysis.ko.dict.UnknownMorphData>`

public final class UnknownDictionary extends BinaryDictionary<org.apache.lucene.analysis.ko.dict.UnknownMorphData>
Dictionary for unknown-word handling.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.morph.BinaryDictionary

  `buffer, DICT_FILENAME_SUFFIX, POSDICT_FILENAME_SUFFIX, TARGETMAP_FILENAME_SUFFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnknownDictionary(URL targetMapUrl, URL posDictUrl, URL dictUrl)`
  Create a `UnknownDictionary` from an external resource URL (e.g.
  `UnknownDictionary(Path targetMapFile, Path posDictFile, Path dictFile)`
  Create a `UnknownDictionary` from an external resource path.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CharacterDefinition`
  `getCharacterDefinition()`
  `static UnknownDictionary`
  `getInstance()`
  `org.apache.lucene.analysis.ko.dict.UnknownMorphData`
  `getMorphAttributes()`

  ### Methods inherited from class org.apache.lucene.analysis.morph.BinaryDictionary

  `lookupWordIds`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.analysis.morph.Dictionary

  `getLeftId, getRightId, getWordCost`

- ## Constructor Details

  - ### UnknownDictionary

    public UnknownDictionary(Path targetMapFile, Path posDictFile, Path dictFile) throws IOException
    Create a `UnknownDictionary` from an external resource path.
    Parameters:
      `targetMapFile` - where to load target map resource
      `posDictFile` - where to load POS dictionary resource
      `dictFile` - where to load dictionary entries resource
    Throws:
      `IOException` - if resource was not found or broken

  - ### UnknownDictionary

    public UnknownDictionary(URL targetMapUrl, URL posDictUrl, URL dictUrl) throws IOException
    Create a `UnknownDictionary` from an external resource URL (e.g. from Classpath with `ClassLoader.getResource(String)`).
    Parameters:
      `targetMapUrl` - where to load target map resource
      `posDictUrl` - where to load POS dictionary resource
      `dictUrl` - where to load dictionary entries resource
    Throws:
      `IOException` - if resource was not found or broken

- ## Method Details

  - ### getCharacterDefinition

    public CharacterDefinition getCharacterDefinition()

  - ### getInstance

    public static UnknownDictionary getInstance()

  - ### getMorphAttributes

    public org.apache.lucene.analysis.ko.dict.UnknownMorphData getMorphAttributes()